%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	PEM
Summary:	Convert::PEM Perl module - access to ASN.1-encoded PEM files
Summary(pl.UTF-8):	Moduł Perla Convert::PEM - dostęp do plików PEM kodowanych ASN.1
Name:		perl-Convert-PEM
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a55c927457035806228e62b403551f13
URL:		http://search.cpan.org/dist/Convert-PEM/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Class-ErrorHandler
BuildRequires:	perl-Convert-ASN1 >= 0.10
BuildRequires:	perl-Crypt-DES_EDE3
BuildRequires:	perl-Digest-MD5
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Class-ErrorHandler
Requires:	perl-Convert-ASN1 >= 0.10
Requires:	perl-Crypt-DES_EDE3
Requires:	perl-Digest-MD5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded
objects. The files can optionally be encrypted using a symmetric
cipher algorithm, such as 3DES.

%description -l pl.UTF-8
Moduł Convert::PEM służy do odczytu i zapisu plików PEM zawierających
obiekty zakodowane zgodnie z ASN.1. Pliki mogą być opcjonalne
zaszyfrowane algorytmem symetrycznym, takim jak na przykład 3DES.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Convert/PEM.pm
%{perl_vendorlib}/Convert/PEM
%{_mandir}/man3/*
%changelog
* Fri Apr 14 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Convert-PEM.git;a=log;h=master

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> bc52774
- up to 0.08

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> 0da7ca1
- rel 2
- more R

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c9e0dcf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 78489fc
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 7fc67cf
- generic url

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 905ba16
- updated to 0.07
- added BR:perl-Class-ErrorHandler
- bad previous log

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 4740e3f
- initial release

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7284f91
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 15b0093
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> cc95832
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1f0a468
- fixed perl-devel BR

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> e405c6f
- license fixes and cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> e689586
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 3520d5e
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d0a00d4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> a786f02
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> e16feaf
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 2b731cd
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 17b7094
- massive attack: change CPAN URLs

* Mon Jul 29 2002 Jakub Bogusz <qboosh@pld-linux.org> a1e1c23
- new

